Summary:        iStack Common Utility Code
Name:           jaxb-istack-commons
Version:        4.2.0
Release:        5%{?dist}
License:        BSD
URL:            https://github.com/eclipse-ee4j/jaxb-istack-commons
BuildArch:      noarch
ExclusiveArch:  %{java_arches} noarch

Source0:        %{url}/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires: mvn(org.apache.maven.plugins:maven-assembly-plugin) mvn(org.apache.maven.plugins:maven-dependency-plugin)
BuildRequires: maven-local mvn(jakarta.activation:jakarta.activation-api) mvn(junit:junit) mvn(org.apache.ant:ant) mvn(org.apache.ant:ant-junit) mvn(org.apache.felix:maven-bundle-plugin)

%description
Code shared between JAXP, JAXB, SAAJ, and JAX-WS projects.

%package runtime
Summary:        istack-commons runtime

%description runtime
This package contains istack-commons runtime.

%package test
Summary:        istack-commons test

%description test
This package contains istack-commons test.

%package tools
Summary:        istack-commons tools

%description tools
This package contains istack-commons tools.

%prep
%autosetup

pushd istack-commons

%pom_remove_parent

%pom_remove_plugin :buildnumber-maven-plugin
%pom_remove_plugin :glassfish-copyright-maven-plugin
%pom_remove_plugin :maven-enforcer-plugin
%pom_remove_plugin :maven-javadoc-plugin . test tools
%pom_remove_plugin :maven-source-plugin
%pom_remove_plugin :spotbugs-maven-plugin

%pom_disable_module soimp
%pom_disable_module buildtools
%pom_disable_module import-properties-plugin
%pom_disable_module maven-plugin

%mvn_package :istack-commons __noinstall
popd

%build
pushd istack-commons
%mvn_build -f -s -j
popd

%install
pushd istack-commons
%mvn_install
popd

%files runtime -f istack-commons/.mfiles-istack-commons-runtime
%license LICENSE.md NOTICE.md

%files test -f istack-commons/.mfiles-istack-commons-test
%license LICENSE.md NOTICE.md

%files tools -f istack-commons/.mfiles-istack-commons-tools
%license LICENSE.md NOTICE.md

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.2.0-5
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.2.0-4
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.2.0-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.2.0-2
- Rebuilt for OpenCloudOS Stream 23.05

* Thu Apr 27 2023 cunshunxia <cunshunxia@tencent.com> - 4.2.0-1
- initial build
